## mx4j.tools.connector.rmi.jrmp
Class JRMPRemoteNotificationListenerSupport

    java.lang.Object
      mx4j.tools.connector.rmi.RemoteNotificationListenerSupport
          mx4j.tools.connector.rmi.jrmp.JRMPRemoteNotificationListenerSupport

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationListener, java.io.Serializable

public class JRMPRemoteNotificationListenerSupport
extends RemoteNotificationListenerSupport

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`JRMPRemoteNotificationListenerSupport(javax.management.NotificationListener clientListener)`

Method Summary
`void` `export()`
`void` `export(int port)`
`void` `export(int port, java.rmi.server.RMIClientSocketFactory csf, java.rmi.server.RMIServerSocketFactory ssf)`
`void` `unexport()`

Methods inherited from class mx4j.tools.connector.rmi.RemoteNotificationListenerSupport
`equals, getRemoteNotificationListener, handleNotification, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRMPRemoteNotificationListenerSupport

    public JRMPRemoteNotificationListenerSupport(javax.management.NotificationListener clientListener)

Method Detail

### export

    public void export()
                throws java.rmi.RemoteException

  Specified by:
    `export` in class `RemoteNotificationListenerSupport`
  Throws:
    `java.rmi.RemoteException`

### export

    public void export(int port)
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### export

    public void export(int port,
                       java.rmi.server.RMIClientSocketFactory csf,
                       java.rmi.server.RMIServerSocketFactory ssf)
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### unexport

    public void unexport()
                  throws java.rmi.NoSuchObjectException

  Specified by:
    `unexport` in class `RemoteNotificationListenerSupport`
  Throws:
    `java.rmi.NoSuchObjectException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.